Subject: Using gnome-keyring and LXQt as Desktop Environment

From: "Hamzeh Nasajpour" <[email-masked]>
Date: Wed, 16 Dec 2020 15:31:48 +0330

Hi guys,

I want to install `gnome-keyring` service on my system. I'm using the LXQt as Desktop Environment. I had an issue for integrating ssh-agent with `gnome-keyring` and I noticed I should update this line in `desktop`  files of `gnome-keyring`:
```
OnlyShowIn=GNOME;Unity;MATE;
```

to 

```
OnlyShowIn=GNOME;Unity;MATE;LXQt;
```

So I re-packaged the `gnome-keyring` as follow:
```
(define-public gnome-keyring-modified
  (package
    (inherit gnome-keyring)
    (name "gnome-keyring-modified")
      (arguments
    (substitute-keyword-arguments (package-arguments gnome-keyring)
        ((#:phases phases)
          `(modify-phases ,phases
             (add-after 'unpack 'patch-desktop-files
              (lambda _
                (substitute* '("daemon/gnome-keyring-secrets.desktop.in.in")
                  (("OnlyShowIn=GNOME;Unity;MATE;") "OnlyShowIn=GNOME;Unity;MATE;LXQt;"))
                (substitute* '("daemon/gnome-keyring-pkcs11.desktop.in.in")
                  (("OnlyShowIn=GNOME;Unity;MATE;") "OnlyShowIn=GNOME;Unity;MATE;LXQt;"))
                (substitute* '("daemon/gnome-keyring-ssh.desktop.in.in")
                  (("OnlyShowIn=GNOME;Unity;MATE;") "OnlyShowIn=GNOME;Unity;MATE;LXQt;"))
                #t))))))))
```

The above package definition is ok and works, but since I want to use the `gnome-keyring` as service I should update `gnome-keyring-configuration` in my system configuration, so I'm using this config:
```
...
         (service gnome-keyring-service-type
                  (gnome-keyring-configuration
                   (keyring gnome-keyring-modified)
                   (pam-services '(("passwd" . passwd)
                                   ("sddm" . login)))))
...
```

Now I reconfigured the system successfully, but `gnome-keyring` service is using the default `gnome-keyring`, not `gnome-keyring-modified` package, while I set the `keyring` to `gnome-keyring-modified`. 

Do you have any idea?

--

Hamzeh Nasajpour
PantherX Team